OpenVDB 7.0.0

Static Public Attributes | List of all members
LeafNode< bool, Log2Dim >::SameConfiguration< OtherNodeType > Struct Template Reference

SameConfiguration<OtherNodeType>::value is `true` if and only if OtherNodeType is the type of a LeafNode with the same dimensions as this node. More...

`#include <LeafNodeBool.h>`

## Static Public Attributes
static const bool | value = SameLeafConfig<LOG2DIM, OtherNodeType>::value

## Detailed Description

### template<Index Log2Dim>
template<typename OtherNodeType>
struct openvdb::v7_0::tree::LeafNode< bool, Log2Dim >::SameConfiguration< OtherNodeType >

SameConfiguration<OtherNodeType>::value is `true` if and only if OtherNodeType is the type of a LeafNode with the same dimensions as this node.

## Member Data Documentation

## ◆ value

const bool value = SameLeafConfig<LOG2DIM, OtherNodeType>::value
| static

The documentation for this struct was generated from the following file:

- LeafNodeBool.h